Bug 851451 - meta-data split-brain prevents entry/data self-heal of dir/file respectively
meta-data split-brain prevents entry/data self-heal of dir/file respectively
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: replicate (Show other bugs)
mainline
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Pranith Kumar K
:
Depends On:
Blocks: 952420 1101138 1286924
  Show dependency treegraph
 
Reported: 2012-08-24 04:41 EDT by Pranith Kumar K
Modified: 2015-12-01 01:04 EST (History)
2 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 952420 (view as bug list)
Environment:
Last Closed: 2013-07-24 13:32:38 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pranith Kumar K 2012-08-24 04:41:19 EDT
Description of problem:
Entry/Data self-heal is orthogonal to meta-data self-heal. Meta-data split-brain should not affect entry/data self-heal.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Vijay Bellur 2012-08-29 23:49:46 EDT
CHANGE: http://review.gluster.org/3853 (cluster/afr: Don't stop entry/data self-heal on metadata split-brain) merged in master by Anand Avati (avati@redhat.com)
Comment 2 Jeff Darcy 2012-10-31 09:41:07 EDT
Not in 3.3 branch so still MODIFIED.

Note You need to log in before you can comment on or make changes to this bug.